{
	"name": "form/local/input/preference/preference-4dmanual1/layout.json",
	"layout": {
		"component": "nc-form",
		"attribute": {
			"id": "preference-4dmanual1"
		},
		"element": [
			{
				"component": "nc-row",
				"element": [
					{
						"component": "nc-col",
						"attribute": {
							"width": "2/12"
						},
						"element": [
							{
								"component": "nc-label",
								"text": "Document Name ID",
								"attribute": {
									"model": "hdr.prf.json_data.document_name_id"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "10/12"
						},
						"element": [
							{
								"component": "nc-input",
								"attribute": {
									"type": "text",
									"model": "rec.prf.json_data.document_name_id"
								}
							}
						]
					}
				]
			},
			{
				"component": "nc-row",
				"element": [
					{
						"component": "nc-col",
						"attribute": {
							"width": "2/12"
						},
						"element": [
							{
								"component": "nc-label",
								"text": "Table id",
								"attribute": {
									"model": "hdr.prf.json_data.table_id"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "4/12"
						},
						"element": [
							{
								"component": "nc-input",
								"attribute": {
									"type": "text",
									"model": "rec.prf.json_data.table_id"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "2/12"
						},
						"element": [
							{
								"component": "nc-label",
								"text": "Type",
								"attribute": {
									"model": "hdr.prf.json_data.type_"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "4/12"
						},
						"element": [
							{
								"component": "nc-dropdown",
								"attribute": {
									"model": "rec.prf.json_data.type_"
								}
							}
						]
					}
				]
			},
			{
				"component": "nc-row",
				"element": [
					{
						"component": "nc-col",
						"attribute": {
							"width": "2/12"
						},
						"element": [
							{
								"component": "nc-label",
								"text": "Language",
								"attribute": {
									"model": "hdr.prf.json_data.language"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "4/12"
						},
						"element": [
							{
								"component": "nc-input",
								"attribute": {
									"type": "text",
									"model": "rec.prf.json_data.language"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "2/12"
						},
						"element": [
							{
								"component": "nc-label",
								"text": "State",
								"attribute": {
									"model": "hdr.prf.json_data.state"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "4/12"
						},
						"element": [
							{
								"component": "nc-dropdown",
								"attribute": {
									"model": "rec.prf.json_data.state"
								}
							}
						]
					}
				]
			},
			{
				"component": "nc-row",
				"element": [
					{
						"component": "nc-col",
						"attribute": {
							"width": "2/12"
						},
						"element": [
							{
								"component": "nc-label",
								"text": "Info",
								"attribute": {
									"model": "hdr.prf.info"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "10/12"
						},
						"element": [
							{
								"component": "nc-textarea",
								"attribute": {
									"model": "rec.prf.info"
								}
							}
						]
					}
				]
			},
			{
				"component": "nc-row",
				"element": [
					{
						"component": "nc-col",
						"attribute": {
							"width": "2/12"
						},
						"element": [
							{
								"component": "nc-label",
								"text": "Content",
								"attribute": {
									"model": "hdr.prf.json_data.content"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "2/12"
						},
						"element": [
							{
								"component": "nc-checkbox",
								"attribute": {
									"model": "rec.preference-4dmanual.lcrefresh"
								},
								"element": [
									{
										"component": "nc-translate",
										"text": "Automatic refresh",
										"attribute": {
											"model": "hdr.preference-4dmanual.lcrefresh"
										}
									}
								]
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "2/12"
						}
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "2/12"
						}
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "2/12"
						},
						"element": [
							{
								"component": "nc-button",
								"text": "Copy html",
								"attribute": {
									"name": "manu_copy_html"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "2/12"
						},
						"element": [
							{
								"component": "nc-button",
								"text": "Show in browser...",
								"attribute": {
									"name": "manu_browser"
								}
							}
						]
					}
				]
			},
			{
				"component": "nc-row",
				"element": [
					{
						"component": "nc-row",
						"attribute": {
							"width": "1/1"
						},
						"element": [
							{
								"component": "nc-textarea",
								"attribute": {
									"model": "rec.prf.json_data.content"
								}
							}
						]
					}
				]
			},
			{
				"component": "nc-row",
				"element": [
					{
						"component": "nc-col",
						"attribute": {
							"width": "2/12"
						},
						"element": [
							{
								"component": "nc-label",
								"text": "Project id",
								"attribute": {
									"model": "hdr.prf.json_data.project_id"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "2/12"
						},
						"element": [
							{
								"component": "nc-input",
								"attribute": {
									"type": "text",
									"model": "rec.prf.json_data.project_id"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "2/12"
						},
						"element": [
							{
								"component": "nc-label",
								"text": "Transfer id",
								"attribute": {
									"model": "hdr.prf.json_data.transfer_id"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "2/12"
						},
						"element": [
							{
								"component": "nc-input",
								"attribute": {
									"type": "text",
									"model": "rec.prf.json_data.transfer_id"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "2/12"
						},
						"element": [
							{
								"component": "nc-label",
								"text": "Customer Project",
								"attribute": {
									"model": "hdr.prf.json_data.customer_project"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "2/12"
						},
						"element": [
							{
								"component": "nc-input",
								"attribute": {
									"type": "text",
									"model": "rec.prf.json_data.customer_project"
								}
							}
						]
					}
				]
			},
			{
				"component": "nc-row",
				"element": [
					{
						"component": "nc-col",
						"attribute": {
							"width": "2/12"
						},
						"element": [
							{
								"component": "nc-label",
								"text": "Change ID",
								"attribute": {
									"model": "hdr.prf.modify_id"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "2/12"
						},
						"element": [
							{
								"component": "nc-input",
								"attribute": {
									"type": "text",
									":disabled": "true",
									"model": "rec.prf.modify_id"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "2/12"
						},
						"element": [
							{
								"component": "nc-label",
								"text": "Creator id",
								"attribute": {
									"model": "hdr.prf.json_data.creator_id"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "2/12"
						},
						"element": [
							{
								"component": "nc-input",
								"attribute": {
									"type": "text",
									":disabled": "true",
									"model": "rec.prf.json_data.creator_id"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "2/12"
						},
						"element": [
							{
								"component": "nc-label",
								"text": "Modifier id",
								"attribute": {
									"model": "hdr.prf.modify_user"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "2/12"
						},
						"element": [
							{
								"component": "nc-input",
								"attribute": {
									"type": "text",
									":disabled": "true",
									"model": "rec.prf.modify_user"
								}
							}
						]
					}
				]
			}
		]
	}
}
